Option (Java Platform SE 8 )
Keywords: javax.swing.text.html.Option class
Date: 2018-07-01

javax.swing.text.html

## Class Option

- java.lang.Object
- - javax.swing.text.html.Option

- All Implemented Interfaces:
    Serializable

      public class Option
      extends Object
      implements Serializable

  Value for the ListModel used to represent <option> elements. This is the object installed as items of the DefaultComboBoxModel used to represent the <select> element.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Option(AttributeSet attr)` Creates a new Option object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeSet` | `getAttributes()` Fetch the attributes associated with this option.
    `String` | `getLabel()` Fetch the label associated with the option.
    `String` | `getValue()` Convenience method to return the string associated with the `value` attribute.
    `boolean` | `isSelected()` Fetches the selection state associated with this option.
    `void` | `setLabel(String label)` Sets the label to be used for the option.
    `protected void` | `setSelection(boolean state)` Sets the selected state.
    `String` | `toString()` String representation is the label.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Option

          public Option(AttributeSet attr)

      Creates a new Option object.
      Parameters:
        `attr` - the attributes associated with the option element. The attributes are copied to ensure they won't change.

  - ### Method Detail

    - #### setLabel

          public void setLabel(String label)

      Sets the label to be used for the option.

    - #### getLabel

          public String getLabel()

      Fetch the label associated with the option.

    - #### getAttributes

          public AttributeSet getAttributes()

      Fetch the attributes associated with this option.

    - #### toString

          public String toString()

      String representation is the label.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

    - #### setSelection

          protected void setSelection(boolean state)

      Sets the selected state.

    - #### isSelected

          public boolean isSelected()

      Fetches the selection state associated with this option.

    - #### getValue

          public String getValue()

      Convenience method to return the string associated with the `value` attribute. If the value has not been specified, the label will be returned.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.